Skip to main content
`Ctrl`+`K`

# PetscBench

Abstract PETSc object that manages a benchmark test

## Synopsis

    typedef struct _p_PetscBench *PetscBench;

## See Also

`PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetType()`, `PetscBenchType`

## Level

intermediate

## Location

include/petscbm.h

## Implementations

_p_PetscBench in include/petsc/private/bmimpl.h
PetscBench_HPL in src/mat/utils/hpl/hplcreate.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages